document.addEventListener('DOMContentLoaded', function () {
    class Restaurant {
        constructor(tables) {
            // your code here - Initialize the restaurant with the available tables
        }

        log(message) {
            // your code here - Log a message reservation status or updates
        }

        reserveTable(groupSize) {
            // your code here - Reserve a table based on group size
        }

        releaseTable(reservationId, isAutomatic = false) {
            // your code here - Release a reserved table using the reservation ID and mark if it's an automatic release
        }

        updateTableStatus() {
            // your code here - Update the status of the tables
        }

        generateReservationId() {
            // Generate a unique reservation ID using a counter
            return `${this.reservationIdCounter++}`;
        }
    }

    const restaurant = new Restaurant({
        2: 3,  // تعداد میزهای ۲ نفره
        3: 3,  // تعداد میزهای ۳ نفره
        4: 2,  // تعداد میزهای ۴ نفره
        5: 1   // تعداد میزهای ۵ نفره
    });

    // Functions to open and close modals
    window.openModal = function (modalId) {
        document.getElementById(modalId).style.display = 'block';
    }

    window.closeModal = function (modalId) {
        document.getElementById(modalId).style.display = 'none';
    }

    window.onclick = function (event) {
        const modals = ['reserveModal', 'releaseModal'];
        modals.forEach(modalId => {
            const modal = document.getElementById(modalId);
            if (event.target === modal) {
                modal.style.display = 'none';
            }
        });
    }


    // Reserve a table
    window.reserve = function () {
        const groupSize = parseInt(document.getElementById('groupSize').value);

        if (!groupSize || groupSize < 1) {
            alert('لطفا تعداد نفرات معتبر وارد کنید.');
            return;
        }

        restaurant.reserveTable(groupSize);
        closeModal('reserveModal');
    }

    // Release a reserved table
    window.release = function () {
        const reservationId = document.getElementById('releaseReservationId').value.trim();
        if (!reservationId) {
            alert('لطفا شناسه رزرو معتبر وارد کنید.');
            return;
        }
        restaurant.releaseTable(reservationId);
        closeModal('releaseModal');
    }
});
